Attribute VB_Name = "Enc7480"
Option Explicit
Declare Function GetTickCount Lib "kernel32" () As Long


Declare Sub Enc7480_Led_Logic Lib "enc7480.dll" _
        (ByVal cardno As Integer, ByVal Logic As Integer)

Declare Function Enc7480_Init Lib "enc7480.dll" () As Integer
Declare Sub Enc7480_Close Lib "enc7480.dll" ()

Declare Function Enc7480_Get_Encoder Lib "enc7480.dll" _
        (ByVal axis As Integer) As Long
Declare Sub Enc7480_Set_Encoder Lib "enc7480.dll" _
        (ByVal axis As Integer, ByVal value As Long)
Declare Function Enc7480_Get_LatchValue Lib "enc7480.dll" _
        (ByVal axis As Integer) As Long

Declare Sub Enc7480_Count_Config Lib "enc7480.dll" _
        (ByVal axis As Integer, ByVal mode As Integer)

Declare Sub Enc7480_Write_OutBit Lib "enc7480.dll" _
        (ByVal bitno As Integer, ByVal Off_On As Integer)
Declare Sub Enc7480_Write_OutPort Lib "enc7480.dll" _
        (ByVal cardno As Integer, ByVal value As Long)
Declare Function Enc7480_Read_OutPort Lib "enc7480.dll" _
        (ByVal cardno As Integer) As Long
Declare Function Enc7480_Read_InPort Lib "enc7480.dll" _
        (ByVal cardno As Integer) As Long

Declare Sub Enc7480_Set_Triger_Logic Lib "enc7480.dll" _
        (ByVal Logic As Integer)
Declare Sub Enc7480_Triger_Chunnel Lib "enc7480.dll" _
        (ByVal cardno As Integer, ByVal Num As Integer)
Declare Sub Enc7480_Set_EZ_Logic Lib "enc7480.dll" _
        (ByVal axis As Integer, ByVal enable As Integer, ByVal Logic As Integer)

Declare Function Enc7480_Read_Latch_Status Lib "enc7480.dll" _
        (ByVal cardno As Integer) As Long
Declare Sub Enc7480_Reset_Latch_Flag Lib "enc7480.dll" _
        (ByVal cardno As Integer)
Declare Sub Enc7480_Reset_Cls_Flag Lib "enc7480.dll" _
        (ByVal cardno As Integer)

